Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage] probleme de version de dependence
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
bzubzu
n00b
n00b


Joined: 23 Oct 2006
Posts: 9

PostPosted: Thu Nov 09, 2006 4:33 pm    Post subject: [portage] probleme de version de dependence Reply with quote

Bonjour voili voilou j'ai un petit problème j'avait plein de paquet en ~x86 et je me suis dit tient si dans le /etc/portage/package.keyword je fixais les version histoire qu'au fil du temps et des mise a jour il y en ai de moins en moins, sauf que :
Code:

* app-admin/eselect
     Available versions:  1.0.2 [M]1.0.7
     Installed:           1.0.6
     Homepage:            http://www.gentoo.org/proj/en/eselect/
     Description:         Modular -config replacement utility

Code:

emerge -uDav world

These are the packages that would be merged, in order:

Calculating world dependencies |
!!! All ebuilds that could satisfy ">=app-admin/eselect-1.0.3" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-admin/eselect-1.0.7 (masked by: package.mask, ~x86 keyword)
# Bryan Østergaard <kloeri@gentoo.org> (09 Nov 2006)
# Masked because of missing distfile.


For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "app-admin/eselect-opengl-1.0.5" [ebuild])

!!! Problem resolving dependencies for virtual/glu
!!! Depgraph creation failed.


Quelqu'un aurait t'il une idée pour que portage arrête de m'embêter et fasse ces mise a jour parceque les dependence sont satisfaite c'est juste que monsieur est pas content parceque l'ebuild eselect de la version 1.0.5 n'est plus dans portage.

merci d'avance
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1727
Location: 127.0.0.1

PostPosted: Thu Nov 09, 2006 4:42 pm    Post subject: Reply with quote

Resynchronise ton arbre : eselect 1.0.6 est réapparu depuis peu.
Quote:
09 Nov 2006; Marien Zwart <marienz@gentoo.org> +eselect-1.0.6.ebuild:
Put 1.0.6 back to avoid a downgrade while 1.0.7 is masked.

La 1.0.7 n'était pas masquée ce matin, et le paquet correspondant est introuvable sur les serveurs (bug #154540).
Back to top
View user's profile Send private message
Mickael
Advocate
Advocate


Joined: 05 Sep 2005
Posts: 2383
Location: ~Belfort! - France - EU

PostPosted: Thu Nov 09, 2006 4:42 pm    Post subject: Reply with quote

Salut,

regarde ceci :
[SCRIPT] Passer de la branche test a la branche stable
_________________
À LIRE : COMMENT POSTER ET OBTENIR DE L'AIDE ?
Qui suis-je ? Bon j'ai relu, comme d'habitude, je suis bon a rien le vendredi
Qui suis-je ? Je ne serai jamais modo
Back to top
View user's profile Send private message
paulin
n00b
n00b


Joined: 06 Nov 2006
Posts: 36

PostPosted: Thu Nov 09, 2006 4:42 pm    Post subject: Reply with quote

Essai de rajouter app-admin/eselect dans /etc/portage/package.unmask
_________________
The box said: "Requires Windows 98/2000/XP/NT, or better."
So, I installed LINUX!
www.ig-linux.fr
Back to top
View user's profile Send private message
Mickael
Advocate
Advocate


Joined: 05 Sep 2005
Posts: 2383
Location: ~Belfort! - France - EU

PostPosted: Thu Nov 09, 2006 4:44 pm    Post subject: Reply with quote

NetFab wrote:
Resynchronise ton arbre : eselect 1.0.6 est réapparu depuis peu.
Quote:
09 Nov 2006; Marien Zwart <marienz@gentoo.org> +eselect-1.0.6.ebuild:
Put 1.0.6 back to avoid a downgrade while 1.0.7 is masked.

La 1.0.7 n'était pas masquée ce matin, et le paquet correspondant est introuvable sur les serveurs (bug #154540).


Le chat nous a avertis que la version 7 est masquée désormais, resynchronisation oblige.

https://forums.gentoo.org/viewtopic-t-68281-postdays-0-postorder-asc-start-275.html

EDIT : c'est ok pour le panel gnome netfab, merci.
_________________
À LIRE : COMMENT POSTER ET OBTENIR DE L'AIDE ?
Qui suis-je ? Bon j'ai relu, comme d'habitude, je suis bon a rien le vendredi
Qui suis-je ? Je ne serai jamais modo
Back to top
View user's profile Send private message
bzubzu
n00b
n00b


Joined: 23 Oct 2006
Posts: 9

PostPosted: Fri Nov 10, 2006 11:07 am    Post subject: Reply with quote

donc le script si j'ai bien compris il sert a ceux qui ont tout en ~x86 moi j'ai juste quelques paquet mon problème c'est que je veut pas mettre a jour mes paquet ~x86 tant qu'il n'y a pas une version marqué stable plus récente.
Le problème c'est que si j'ai un truc installé et que l'ebuild de la version installé n'est plus dans portage, portage veut mettre a jour :( je vais tenter en copiant l'arbre principal dans un overlay histoire que les ebuild de mes soft installé soit toujours la et que ça ne gêne pas portage.
Back to top
View user's profile Send private message
Mickael
Advocate
Advocate


Joined: 05 Sep 2005
Posts: 2383
Location: ~Belfort! - France - EU

PostPosted: Fri Nov 10, 2006 11:25 am    Post subject: Reply with quote

j'ai rien compris.

Si tu veux repasser tes quelques softs en stable, tu enlèves tout ce qui trouve dans /etc/portage/package.keywords puis emerge -uDvN world.
_________________
À LIRE : COMMENT POSTER ET OBTENIR DE L'AIDE ?
Qui suis-je ? Bon j'ai relu, comme d'habitude, je suis bon a rien le vendredi
Qui suis-je ? Je ne serai jamais modo
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum